--- CMakeLists.txt.orig	2011-09-18 09:53:17.076918001 +0400
+++ CMakeLists.txt	2011-09-18 09:57:09.904273180 +0400
@@ -124,6 +124,8 @@
 option( BUILD_NSPLUGINS "Build nsplugins"  ${BUILD_ALL} )
 option( BUILD_KSYSGUARD "Build ksysguard"  ${BUILD_ALL} )
 option( BUILD_KXKB "Build kxkb"  ${BUILD_ALL} )
+option( BUILD_TSAK "Build tsak"  ${BUILD_ALL} )
+option( BUILD_KROOTBACKING "Build krootbacking"  ${BUILD_ALL} )
 
 
 ##### set PKG_CONFIG_PATH #######################
@@ -194,8 +196,8 @@
 tde_conditional_add_subdirectory( BUILD_NSPLUGINS nsplugins )
 tde_conditional_add_subdirectory( BUILD_KSYSGUARD ksysguard )
 tde_conditional_add_subdirectory( BUILD_KXKB kxkb )
-add_subdirectory( tsak )
-add_subdirectory( krootbacking )
+tde_conditional_add_subdirectory( BUILD_TSAK tsak )
+tde_conditional_add_subdirectory( BUILD_KROOTBACKING krootbacking )
 
 ##### install startkde & related stuff ##########
 
--- kdmlib/CMakeLists.txt.orig	2011-09-18 10:02:47.888180964 +0400
+++ kdmlib/CMakeLists.txt	2011-09-18 18:11:06.188485674 +0400
@@ -73,9 +73,14 @@
 
 ##### kompmgr (executable) #######################
 
-tde_add_executable( kdmtsak
-  SOURCES kdmtsak.cpp
-  LINK ${TQT_LIBRARIES}
-  DESTINATION ${BIN_INSTALL_DIR}
-  SETUID
-)
+# FIXME: check the build condition.
+if( BUILD_TSAK )
+
+  tde_add_executable( kdmtsak
+    SOURCES kdmtsak.cpp
+    LINK ${TQT_LIBRARIES}
+    DESTINATION ${BIN_INSTALL_DIR}
+    SETUID
+  )
+
+endif( BUILD_TSAK )
